Loading...
Searching...
No Matches
Opm::DamarisOutput::DamarisSettings Struct Reference

## Public Member Functions

std::map< std::string, std::string > | getKeywords (const Parallel::Communication &comm, const std::string &OutputDir)
void | SetRandString (void)

## Public Attributes

bool | enableDamarisOutputCollective_ = true
bool | saveToDamarisHDF5_ = true
bool | saveMeshToHDF5_ = false
std::string | pythonFilename_
std::string | paraviewPythonFilename_
std::string | damarisSimName_
std::string | shmemName_
std::string | damarisLogLevel_ = "info"
std::string | damarisDaskFile_ = ""
int | nDamarisCores_ = 1
int | nDamarisNodes_ = 0
long | shmemSizeBytes_ = 536870912
std::string | rand_value_str_

The documentation for this struct was generated from the following files:

- opm/simulators/utils/DamarisKeywords.hpp
- opm/simulators/utils/DamarisKeywords.cpp